package com.yinet.yyqh.domain;

import com.yinet.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 办事指南表
 *
 * @author ruoyi
 */
public class YyqhGuidance implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 办事指南ID
     */
    private Long yyqhGuidanceId;

    /**
     * 办事指南名称
     */
    private String guidanceName;

    /**
     * 父办事指南名称
     */
    private String parentName;

    /**
     * 父办事指南ID
     */
    private Long parentId;
    /**
     * 事项序列ID
     */
    private String sequenceId;
    /**
     * 事项类型(1目录 2项)
     */
    private String guidanceType;
    /**
     * 显示顺序
     */
    private String orderNum;
    /**
     * 修改时间
     */
    private Date submitTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 子办事指南
     */
    private List<YyqhGuidance> children = new ArrayList<YyqhGuidance>();

    public Long getYyqhGuidanceId() {
        return yyqhGuidanceId;
    }

    public void setYyqhGuidanceId(Long yyqhGuidanceId) {
        this.yyqhGuidanceId = yyqhGuidanceId;
    }

    public String getGuidanceName() {
        return guidanceName;
    }

    public void setGuidanceName(String guidanceName) {
        this.guidanceName = guidanceName;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getSequenceId() {
        return sequenceId;
    }

    public void setSequenceId(String sequenceId) {
        this.sequenceId = sequenceId;
    }

    public String getGuidanceType() {
        return guidanceType;
    }

    public void setGuidanceType(String guidanceType) {
        this.guidanceType = guidanceType;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<YyqhGuidance> getChildren() {
        return children;
    }

    public void setChildren(List<YyqhGuidance> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "YyqhGuidance{" +
                "yyqhGuidanceId=" + yyqhGuidanceId +
                ", guidanceName='" + guidanceName + '\'' +
                ", parentName='" + parentName + '\'' +
                ", parentId=" + parentId +
                ", sequenceId='" + sequenceId + '\'' +
                ", orderNum='" + orderNum + '\'' +
                ", submitTime=" + submitTime +
                ", children=" + children +
                '}';
    }
}
